CREATE TABLE hey_object_predicate_template (
    TEMPLATE_ID               NUMBER(18, 0) ,
    TEMPLATE_CODE             VARCHAR2(200)     NOT NULL,
    OBJECT_ID                 NUMBER(18, 0) ,
    FIELD_NAME1               VARCHAR2(200) ,
    FIELD_NAME2               VARCHAR2(200) ,
    FIELD_NAME3               VARCHAR2(200) ,
    FIELD_NAME4               VARCHAR2(200) ,
    FIELD_NAME5               VARCHAR2(200) ,
    PREDICATE_TEMPLATE_SQL    VARCHAR2(4000)    NOT NULL,
    ACTIVE_FLAG               VARCHAR2(4)       NOT NULL,
    SEED_DATA_LOCK            NUMBER(1, 0)      NOT NULL,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    TEMPLATE_ID               NUMBER(18, 0) ,
    TEMPLATE_CODE             VARCHAR2(200)     NOT NULL,
    OBJECT_ID                 NUMBER(18, 0) ,
    FIELD_NAME1               VARCHAR2(200) ,
    FIELD_NAME2               VARCHAR2(200) ,
    FIELD_NAME3               VARCHAR2(200) ,
    FIELD_NAME4               VARCHAR2(200) ,
    FIELD_NAME5               VARCHAR2(200) ,
    PREDICATE_TEMPLATE_SQL    VARCHAR2(4000)    NOT NULL,
    ACTIVE_FLAG               VARCHAR2(4)       NOT NULL,
    SEED_DATA_LOCK            NUMBER(1, 0)      NOT NULL,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hey_object_predicate_template PRIMARY KEY (TEMPLATE_ID, TEMPLATE_ID)
);
